function init(hero) {
    hero.setName("Baymax");
    hero.setVersion("Animated Series");
    hero.setTier(5);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:cold_resistance", "fiskheroes:fire_immunity", "fiskheroes:steel_transformation", "fiskheroes:healing_factor", "fiskheroes:gliding_flight", "fiskheroes:propelled_flight", "fiskheroes:hover");
    hero.addWeaknesses("fiskheroes:metal_skin");
    hero.addAttribute("ATTACK_DAMAGE", 1.95, 1);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.25, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -1.5, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

    hero.addKeyBind("STEEL_TRANSFORM", "Overdrive Mode", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);

    hero.setDefaultScale(1.4);
    hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
}
function steelProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 3.5, 1);
    profile.addAttribute("FALL_RESISTANCE", 2.0, 1);
    profile.addAttribute("JUMP_HEIGHT", 2.25, 0);
    profile.addAttribute("PUNCH_DAMAGE", 10.5, 0);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("SWORD_DAMAGE", -2.0, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:steeled") ? "STEEL" : null;
}
